# Uses of Interface
org.eclipse.birt.report.engine.api.IProgressMonitor

Packages that use IProgressMonitor
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IProgressMonitor in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api with parameters of type IProgressMonitor
Modifier and Type
Method
Description
`void`
IEngineTask.`setProgressMonitor(IProgressMonitor monitor)`
the a progress monitor to keep track of the report progress